net.corda.node.services.statemachine

## Class ReceivedSessionMessage<M extends ExistingSessionMessage>

- net.corda.node.services.statemachine.ReceivedSessionMessage<M>

-     public class ReceivedSessionMessage<M extends ExistingSessionMessage>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceivedSessionMessage(Party sender, M message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `component1()`
    `M` | `component2()`
    `ReceivedSessionMessage<M>` | `copy(Party sender, M message)`
    `boolean` | `equals(java.lang.Object p)`
    `M` | `getMessage()`
    `Party` | `getSender()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### ReceivedSessionMessage

          public ReceivedSessionMessage(Party sender,
                                        M message)

  - ### Method Detail

    - #### getSender

          public Party getSender()

    - #### getMessage

          public M getMessage()

    - #### component1

          public Party component1()

    - #### component2

          public M component2()

    - #### copy

          public ReceivedSessionMessage<M> copy(Party sender,
                                                M message)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)